Bug 905020 - can't create partitions on FBA disk
can't create partitions on FBA disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-01-28 07:03 EST by Dan Horák
Modified: 2014-02-05 13:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:36:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test script (344 bytes, text/plain)
2013-01-28 07:03 EST, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2013-01-28 07:03:01 EST
Created attachment 688900 [details]
test script

parted is not to create partitions on on a FBA disk. On freshly created disk it shows the kernel provided immutable partition and no action is possible.

Version-Release number of selected component (if applicable):
parted-3.1-10.fc18.s390x

output of the fba-test script

[root@devel6 ~]# sh ./fba-test
+ fba=230
+ vmcp define vfb-512 230 100000
DASD 0230 DEFINED
+ cio_ignore -r 230
+ chccwdev --online 230
Setting device 0.0.0230 online
Done
+ lsdasd 230
Bus-ID     Status      Name      Device  Type  BlkSz  Size      Blocks
==============================================================================
0.0.0230   active      dasdi     94:32   FBA   512    48MB      100000
++ lsdasd 230
++ tail -1
++ gawk -e '{ print $3 }'
+ dasd=dasdi
+ sfdisk -l /dev/dasdi
Warning: unlikely number of sectors (128) - usually at most 63
This will give problems with all software that uses C/H/S addressing.

Disk /dev/dasdi: 48 cylinders, 16 heads, 128 sectors/track
+ parted /dev/dasdi
GNU Parted 3.1
Using /dev/dasdi
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
Model: IBM S390 DASD drive (dasd)
Disk /dev/dasdi: 51.2MB
Sector size (logical/physical): 512B/512B
Partition Table: dasd
Disk Flags: 

Number  Start  End     Size    File system  Flags
 1      1024B  51.2MB  51.2MB

(parted) rm 1                                                             
(parted) print                                                            
Model: IBM S390 DASD drive (dasd)
Disk /dev/dasdi: 51.2MB
Sector size (logical/physical): 512B/512B
Partition Table: dasd
Disk Flags: 

Number  Start  End     Size    File system  Flags
 1      1024B  51.2MB  51.2MB

(parted) quit                                                             
Information: You may need to update /etc/fstab.

+ chccwdev --offline 230                                                  
Setting device 0.0.0230 offline
Done
+ vmcp detach 230
DASD 0230 DETACHED
+ uname -a
Linux devel6.s390.bos.redhat.com 3.7.2-204.fc18.s390x #1 SMP Thu Jan 17 04:41:32 EST 2013 s390x s390x s390x GNU/Linux
+ rpm -q parted
parted-3.1-10.fc18.s390x
Comment 1 Fedora End Of Life 2013-12-21 05:55:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 13:36:27 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.